Bug 1019604 - scale up URL is not backward compatible.
scale up URL is not backward compatible.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Master (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lili Nader
libra bugs
ec2-54-226-53-50.compute-1.amazonaws.com
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 02:55 EDT by Peter Ruan
Modified: 2015-05-14 20:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:24:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2013-10-16 02:55:41 EDT
Description of problem:
  With the new REST URL, the old url for scale up/down is not working 

Version-Release number of selected component (if applicable):
current, PROD/STG

How reproducible:
always

Steps to Reproduce:
1. create a scaleable app
2. try to scale up using rest using the old URL
3.

Actual results:
      [23:22:37] INFO> Rest Request: POST https://openshift.redhat.com/broker/rest/applications/525e303d5973cadfad0000c2/events {"event":"scale-up"}
      [23:22:38] ERROR> Unable to perform REST request: 404 Resource Not Found


Expected results:
old url should still work for compatibilty issue.

Additional info:
Comment 1 Fabiano Franz 2013-10-18 15:06:44 EDT
This is known and the desired behavior, a few REST API links changed in version 1.6. We suggest the API clients always specify the API version being used through the Accept header, like in:
"Accept: application/json; version=1.5"
Comment 2 Peter Ruan 2013-10-18 15:42:39 EDT
Fabiano:
  The bug was referring to changes to the URL within the same API version (1.6).  Prior to sprint 34, the old links works.  The membership US caused the a lot of the REST URLs to be different but according to Clayton, the old links should still work.  Reopening this bug.
Comment 4 Jianwei Hou 2013-10-22 03:19:28 EDT
Manually merged the PR and verified this bug, the old api format is compatible. Will mark this bug as verified when above PR is merged.
Comment 5 zhaozhanqi 2013-10-22 22:29:29 EDT
Tested this on devenv_3928, it has been fixed.

old format and new format are work well.
curl -k -X PUT -H 'Accept: application/xml' --user user:pass https://ec2-54-224-181-209.compute-1.amazonaws.com/broker/rest/domains/zqd/applications/zqphps/events/ -d event=scale-up -X POST

Note You need to log in before you can comment on or make changes to this bug.